# Copyright (c) Erik Kunze 1996 - 2001
#
# Permission to use, distribute, and sell this software and its documentation
# for any purpose is hereby granted without fee, provided that the above
# copyright notice appear in all copies and that both that copyright notice and
# this permission notice appear in supporting documentation, and that the name
# of the copyright holder not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior permission.  The
# copyright holder makes no representations about the suitability of this
# software for any purpose.  It is provided "as is" without express or implied
# warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
#
# THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
# EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
# DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
# TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
# PERFORMANCE OF THIS SOFTWARE.
#
# Author: Erik Kunze
#
# $Id: zxlink.spec,v 1.3 2001/06/23 20:20:17 erik Exp $

# User-Defined Macros:
# %define <name> <expansion>
%define Name		zxlink
%define Version		0.6
%define DirVersion	0.6
%define ReleaseNum	1
%define Prefix		/usr

Summary:	A multipurpose utility

Name:		%{Name}
Version:	%{Version}
Release:	%{ReleaseNum}
Packager:	zxlink@zx-spectrum.net
Copyright:	1996-2001 Erik Kunze
Group:		Applications/Emulators

Vendor:		Erik Kunze <zxlink@zx-spectrum.net>
Distribution:	-
URL:		http://www.zx-spectrum.net/zxlink/

Source0:	http://www.zx-spectrum.net/zxlink/%{Name}-%{Version}.tar.gz
#Patch0:	%{Name}.patch
BuildRoot:	/tmp/%{Name}-%{Version}-%{ReleaseNum}
AutoReqProv:	yes

%description
ZxLink is a multipurpose utility for connecting your ZX Spectrum 48K/128K/+3
(8-bit home computers made by Sir Clive Sinclair) to computer running UNIX.
It is intended for those who prefer "the real thing" instead of emulators.
Exchange of Spectrum programs via Internet is easier today than on the ancient
times. ZxLink will help some Speccy owners to enjoy these new resourses.

%prep

%setup -n %{Name}-%{DirVersion}

#%patch0 -p1 -E -b .orig

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=%{Prefix} --with-oss
make

%install
make DESTDIR="${RPM_BUILD_ROOT}" install

%files
%attr( - ,root,root) %doc COPYRIGHT INSTALL README ChangeLog TODO
%attr( - ,root,root) %{Prefix}/bin/zxlink

# EOF
